Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Public Attributes | Private Attributes | List of all members
Texture Class Reference

## Public Member Functions
| Texture (const Texture &_tex)
void | filename (QString _name)
QString | filename ()
void | id (int _id)
int | id ()
void | glName (GLuint _glName)
GLuint | glName ()
void | name (QString _name)
QString | name ()
void | visibleName (QString _name)
QString | visibleName ()
void | dimension (uint _dimension)
uint | dimension ()
void | enabled (bool _enabled)
bool | enabled ()
void | enable ()
void | disable ()
void | hidden (bool _hidden)
bool | hidden ()
void | hide ()
void | dirty (bool _dirty)
bool | dirty ()
void | clean ()
void | setDirty ()
void | textureImageId (int _id)
int | textureImageId ()
void | type (TextureType _type)
TextureType | type ()
QString | indexMappingProperty ()
void | indexMappingProperty (QString _property)

## Public Attributes
TexParameters | parameters
| Parameters of the texture.
QStringList | multiTextureList
| If this is a multiTexture, the list will contain all textures for this multi Texture node.

## Private Attributes
QString | name_
| Texture Name.
int | textureImageId_
| The image used as the texture ( Ids are handled by the ImageStore )
QString | visibleName_
| Name visible in the gui.
QString | filename_
| Filename of the texture.
int | id_
| Texture id.
GLuint | glName_
| glName
uint | dimension_
| dimension
bool | enabled_
| Status.
bool | hidden_
| Hidden flag ( If this texture belongs to a multitexture, it will be hidden in the context menu )
bool | dirty_
| does this texture need an update?
TextureType | type_
| Texture Type.
QString | indexMappingProperty_

## Detailed Description

Definition at line 74 of file TextureData.hh.

## Member Data Documentation

QString Texture::indexMappingProperty_
| private

If this is a multiTexture, indexMappingProperty_ will point to the property storing the mapping Defaults to the f:textureindex

Definition at line 191 of file TextureData.hh.

The documentation for this class was generated from the following files:

- Plugin-TextureControl/TextureData.hh
- Plugin-TextureControl/TextureData.cc